# $Id: smeserver-webshare.spec,v 1.2 2017/03/02 23:44:40 unnilennium Exp $
# Authority: darrellmay
# Name: Darrell May

Summary: Webshare addon for SME Server
%define name smeserver-webshare
Name: %{name}
%define version 1.0.0
%define release 12
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Requires: e-smith-base, perl-Apache-Htpasswd, perl-Crypt-PasswdMD5
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: devinfo-mitel-webshare dmc-mitel-webshare

Patch1: smeserver-webshare-sme8_fixes.patch
Patch2: smeserver-webshare-1.0.0-sme8bis.patch

%changelog
* Thu Mar 02 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-12.sme
- imported to SME9 [SME: 10129]

* Sat May 25 2013 JP Pialasse <tests@piaalsse.com> - 1.0.0-11.sme
- fix spacename problem with firefox [SME: 6256]
- fix password limited to 7 digits [SME: 7097]
- fix biggest error message for incorrect password [SME: 3601]

* Wed Oct 12 2011 Greg Swallow <greg@runlevel7.ca> - 1.0.0-10.sme
- Patch for added SME8 compatibility
- should fix [SME 3600], [SME 6256], [SME 6454]
 
* Mon Apr 21 2008 Shad L. Lords <slords@mail.com>
- Prep for import into buildsys
- Clean up spec

* Fri Dec 1 2006 Darrell May <dmay@myezserver.com>
- move htpasswd files to /home/e-smith/db/webshare
- ugraders must run: /etc/e-smith/events/actions/webshare-rebuild-htpasswd; signal-event ibay-modify
- [1.0.0-8]
* Thu Oct 12 2006 Darrell May <dmay@myezserver.com>
- updated httpd.conf fragment for SME 7 compliance
- Note: rewrite for full SME 7 support is still needed
- [1.0.0-7]
* Mon Jan 30 2006 Darrell May <dmay@myezserver.com>
- bugfix to support IE/https file downloads
- added to /incl/libfile.php 'header("Pragma:");'
- [1.0.0-6]
* Tue May 17 2005 Darrell May <dmay@myezserver.com>
- added support for numeric project names
- [1.0.0-5]
* Tue May 17 2005 Darrell May <dmay@myezserver.com>
- update to phpfm-0.2.3
- added NoDelete webshare create/config option
- [1.0.0-4]
* Thu May 12 2005 Darrell May <dmay@myezserver.com>
- bugfix webshare panel for SME 7.x
- [1.0.0-3]
* Fri Apr 22 2005 Darrell May <dmay@myezserver.com>
- added support for SME 7.x
- [1.0.0-2]
* Sun Feb 08 2004 Darrell May <dmay@myezserver.com>
- repackaged for SME Server 6.x
- [1.0.0-1]
* Sun Jan 12 2003 Darrell May <dmay@myezserver.com>
- added Requires: perl-Apache-Htpasswd
- [0.0.1-5]
* Sat Jan 11 2003 Darrell May <dmay@myezserver.com>
- name change obsolete devinfo-mitel-webshare
- updated webshare panel
- updated webshare-tools to use phpfm
- [0.0.1-4]
* Fri May 10 2002 Darrell May <dmay@myezserver.com>
- updated webshare panel
- updated webshare-tools scripts
- original public release
- [0.0.1-3]
* Thu May 09 2002 Darrell May <dmay@myezserver.com>
- added httpd.conf template and updated action scripts
- incorporated index.php from ruffdogs,com
- incorporate webshare panel and action scripts from Jon Blakely
- [0.0.1-2]
* Sun May 05 2002 Darrell May <dmay@myezserver.com>
- initial release
- [0.0.1-1]

%description
%name is an addon for SME Server that provides secure web accessible file and directory storage.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
